Subject: Re: bug#68992: 13.3.0; not displaying \newcommand defintions

From: Ikumi Keita <[email-masked]>
Date: Fri, 09 Feb 2024 19:02:09 +0900

Hi Sabarish,

>>>>> Sabarish V M <[email-masked]> writes:
> The preview latex package does not render the "\newcommand" macros
> properly.

> Example,

> \documentclass{template}
> \title{Some title}
> \author{XXX}
> \begin{document}
> \maketitle

> \include{symbols} % The file contains all the macros defined
> % It contains,
> % \newcommand{\kb}{k_{\mathrm{B}}}
> % \renewcommand{\d}{\mathrm{d}}

> From classical Boltzmann statistics we know that the probability for finding any
> particle in a given state $i$ is,
> \[ \frac{N_i}{N} = \frac{\exp \left( - E_i / \kb T \right)}{Z\kb \d } \]
> \include{chapters/01.introduction}
> \include{chapters/appendix}

> \end{document}

This document doesn't typeset for me because my TeX Live 2023 doesn't
have "template" class. After I replaced
\documentclass{template}
with
\documentclass{article}
, I can both typeset and use preview-latex for the files quoted below.
Hence I suppose that the issue isn't related directly to \newcommand and
suspect there is something incompatible with preview-latex in
the non-standard class file template.cls.

--- foo.tex ----------------------------------------------------------
\documentclass{article}
\title{Some title}
\author{XXX}
\begin{document}
\maketitle

\include{symbols}

From classical Boltzmann statistics we know that the probability for finding any
particle in a given state $i$ is,
\[ \frac{N_i}{N} = \frac{\exp \left( - E_i / \kb T \right)}{Z\kb \d } \]

\end{document}
----------------------------------------------------------------------

--- symbols.tex ------------------------------------------------------
\newcommand{\kb}{k_{\mathrm{B}}}
\renewcommand{\d}{\mathrm{d}}

%%% Local Variables:
%%% mode: LaTeX
%%% TeX-master: "foo"
%%% End:
----------------------------------------------------------------------

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW